%define		package	DoctrineBridge
%define		php_min_version 5.3.9
%include	/usr/lib/rpm/macros.php
Summary:	Symfony2 Doctrine Bridge
Name:		php-symfony2-DoctrineBridge
Version:	2.7.8
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	a26817ef3ac71bb90bb53c2cca986935
URL:		https://github.com/symfony/DoctrineBridge
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(date)
Requires:	php(hash)
Requires:	php(json)
Requires:	php(mbstring)
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php-dirs >= 1.6
#Requires:	php-doctrine-common >= 2.4
#Suggests:	php-doctrine-data-fixtures
#Suggests:	php-doctrine-dbal >= 2.4
#Suggests:	php-doctrine-orm >= 2.4.5
Suggests:	php-symfony2-Form
Suggests:	php-symfony2-Validator
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides integration for Doctrine with various Symfony2 components.

%prep
%setup -q -n doctrine-bridge-%{version}

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Bridge/Doctrine
cp -a *.php */ $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Bridge/Doctrine
rm -r $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Bridge/Doctrine/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_data_dir}/Symfony/Bridge/Doctrine
%{php_data_dir}/Symfony/Bridge/Doctrine/*.php
%{php_data_dir}/Symfony/Bridge/Doctrine/CacheWarmer
%{php_data_dir}/Symfony/Bridge/Doctrine/DataCollector
%{php_data_dir}/Symfony/Bridge/Doctrine/DataFixtures
%{php_data_dir}/Symfony/Bridge/Doctrine/DependencyInjection
%{php_data_dir}/Symfony/Bridge/Doctrine/ExpressionLanguage
%{php_data_dir}/Symfony/Bridge/Doctrine/Form
%{php_data_dir}/Symfony/Bridge/Doctrine/HttpFoundation
%{php_data_dir}/Symfony/Bridge/Doctrine/Logger
%{php_data_dir}/Symfony/Bridge/Doctrine/Security
%{php_data_dir}/Symfony/Bridge/Doctrine/Test
%{php_data_dir}/Symfony/Bridge/Doctrine/Validator
%changelog
* Tue Jan 05 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-DoctrineBridge.git;a=log;h=master

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> e6847a7
- up to 2.7.8

* Mon Jan 04 2016 Elan Ruusamäe <glen@delfi.ee> 51d3f06
- php-dirs dep

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 7e3d7eb
- skip implicit pear-dirs package, dir dep is enough

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 0b7a805
- install to php data dir

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 1de9975
- up to 2.7.7; use autoload.php for autoload name

* Fri Oct 02 2015 Elan Ruusamäe <glen@delfi.ee> 18bd765
- up to 2.7.5

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> b36acc8
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> 10ade90
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> bb8fd51
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 692d8e3
- up to 2.4.4

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> 95af10e
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> fa6b5eb
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> db381f9
- up to 2.1.6

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 76a9c6d
- initial add. version 2.1.4

